<?php

  //
  // Test logging in to a.nnotate as a given user.
  //

require_once("annotateApi.php");
require_once("test_config.php");

// Make a login link for given $user email, then redirect
// to $loc. If there is a problem, go to $errloc instead.
//
function makeLoginLink($user, $loc, $errloc) {
  global $annotateServer, $apiuser, $apikey;

  $phpfn = "loginAs.php";

  $annotateuser = $user; // e.g. "joe3@textensor.com";

  $validfor = 60 * 30; // Make this request valid for 30 mins.

  $request = signRequest($phpfn, $apiuser, $apikey, $annotateuser, $validfor);
  $url = "$annotateServer/php/$phpfn?$request";

  // After login, display the document list:
  // $loc = "documents.php"; // the list of documents

  // Possible alternative pages to display after login:
  // $loc = "help.php";     // the help page
  // $loc = "account.php";  // the account page
  // $loc = "notes.php";    // the notes index
  // $loc = "pdfnotate.php?d=$sampleDate&c=$sampleCode";    // to login and jump to a document.

  $url .= "&loc=".rawurlencode($loc);

  // On login error - go to this URL and set ?msg={error message}
  // $errloc = "../api/html_error.php";
  $url .= "&errloc=".rawurlencode($errloc);

  // Store the password + username in a cookie:
  $url .= "&remember=1"; 
  
  // If you don't want to store the login info in the browser cookie, change to:
  // $url .= "&remember=0"; 

  return $url;
}



?>
<!doctype html>
<html>
<body>
<h3>Auto-logging in users to their A.nnotate account</h3>

<?php

// If something goes wrong with the link, redirect to an error page:
$errloc = $annotateServer."/api/html_error.php";

$login1 = makeLoginLink( $sampleUser, "documents.php", $errloc );
$login2 = makeLoginLink( $sampleUser2, "documents.php", $errloc );
$login3 = makeLoginLink( $sampleUser, "notes.php", $errloc );
$login4 = makeLoginLink( $sampleUser2, "pdfnotate.php?d=$sampleDate&c=$sampleCode", $errloc );
$login5 = makeLoginLink( $sampleUser2, "pdfnotate.php?d=$sampleDate&c=$sampleCode&nobanner=1#page1", $errloc );

print "<p><a target='_blank' href='".$login1."'>Click to log in as $sampleUser and view documents list</a></p>";

print "<p><a target='_blank' href='".$login2."'>Click to log in as $sampleUser2 and view documents list</a></p>";

print "<p><a target='_blank' href='".$login3."'>Click to log in as $sampleUser and view notes index</a></p>";

?>
<h4>Logging in as a user and viewing a document</h4>
<p>
<em>[note - the links below will only work once you've edited the sampleDate 
 and sampleCode settings in the config file]</em>
</p>

<?php

print "<p><a target='_blank' href='".$login4."'>Click to log in as $sampleUser2 and view document $sampleDate $sampleCode</a> in a new window </p>";
print "<p><a target='iframeid' href='".$login5."'>Click to log in as $sampleUser2 and show document $sampleDate $sampleCode</a> in the iframe below without the menu banner:</p>";


?>


<iframe src='about:blank' style='border:1px solid blue' width='100%' height='500px' id='iframeid' name='iframeid' >
</iframe>

</body>
</html>
